package com.ssj.service.conch.common.dto;

import java.io.Serializable;
import java.util.Date;

public class OnlineMessagesDto implements Serializable{
	private static final long serialVersionUID = 1L;
	
	private String userId; //用户Id
	private String userImg;//用户头像
	private String type;//发送类型：TEXT(文字)，PICTURE(图片)，VOICE(语音)
	private String duration;//语音时长
	private String fileKey;//语音,图片路径
	private String content;//文字内容
	private Date createTime;//创建时间
	private String timeMillis; //聊天序号
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getUserImg() {
		return userImg;
	}
	public void setUserImg(String userImg) {
		this.userImg = userImg;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getDuration() {
		return duration;
	}
	public void setDuration(String duration) {
		this.duration = duration;
	}
	public String getFileKey() {
		return fileKey;
	}
	public void setFileKey(String fileKey) {
		this.fileKey = fileKey;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getTimeMillis() {
		return timeMillis;
	}
	public void setTimeMillis(String timeMillis) {
		this.timeMillis = timeMillis;
	}
}
